cURL
curl --request GET \
--url https://api.brightdata.com/zone/route_ips \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/zone/route_ips"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/zone/route_ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"ip": "10.0.0.0",
"country": "us"
},
{
"ip": "1.1.1.1",
"country": "gb"
},
{
"ip": "1.1.2.2",
"country": "hk"
}
]账号管理 API
每个区域可用的数据中心 & ISP IP
获取每个区域可用的数据中心/ISP IP
GET
/
zone
/
route_ips
cURL
将您的 API key 粘贴到授权字段中。要获取 API key,请创建账号,并查看如何生成新的 API key?
授权
在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。
认证方法:
- 从 Bright Data 账户设置获取您的 API Key: https://brightdata.com/cp/setting/users
- 在请求的 Authorization 头中包含 API Key
- 格式:
Authorization: Bearer YOUR_API_KEY
示例:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
了解如何获取 Bright Data API Key: https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key?
查询参数
区域
2 字母国家代码
返回 [{ip, country},..] JSON 数组而非纯 IP 列表
此页面对您有帮助吗?
⌘I